Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161229 - Install fails in anaconda during update from FC3
Summary: Install fails in anaconda during update from FC3
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 4
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-21 15:47 UTC by corkbuster
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-05 20:00:46 UTC


Attachments (Terms of Use)
Anaconda Dump File (deleted)
2005-06-21 15:47 UTC, corkbuster
no flags Details

Description corkbuster 2005-06-21 15:47:56 UTC
Description of problem:
Install fails if previous version of Fedora is detetected.

Version-Release number of selected component (if applicable):FC3 updating to FC4


How reproducible:   Run Install again

Steps to Reproduce:
1.  Current Fedora Core 3 system
2.  Boot from FC4 CD 1.
3.  Happens during previous version checking.
  
Actual results:    Critical error occurs.


Expected results:   Previous version found, updating ...


Additional info:

Comment 1 corkbuster 2005-06-21 15:47:56 UTC
Created attachment 115754 [details]
Anaconda Dump File

Comment 2 corkbuster 2005-06-21 15:53:41 UTC
CDs all passed SHA1SUM and disk check successfully.

Comment 3 Chris Lumens 2005-06-21 15:56:08 UTC
You appear to be having hardware problems.  From your anaconda dump file:

<4>hdb: dma_intr: status=0x51 { DriveReady SeekComplete Error }
<4>hdb: dma_intr: error=0x10 { SectorIdNotFound }, LBAsect=20032845, high=1,
low=3255629, sector=20032845
<4>ide: failed opcode was: unknown

Comment 4 corkbuster 2005-06-21 17:08:16 UTC
The drive is up and running as an FC3 system.

Comment 5 Chris Lumens 2005-06-21 21:10:13 UTC
When you run dmesg after booting into your FC3 system, are you seeing the same
sorts of error messages as I found in your anacdump.txt file?

Comment 6 corkbuster 2005-06-22 12:41:19 UTC
dmesg shows now errors:

   Probing IDE interface ide0...
   hda: ST320011A, ATA DISK drive
   hdb: Maxtor 6E010L0, ATA DISK drive
   Using cfq io scheduler
   ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
   Probing IDE interface ide1...
   hdc: LTN486S, ATAPI CD/DVD-ROM drive
   ide1 at 0x170-0x177,0x376 on irq 15
   Probing IDE interface ide2...
   ide2: Wait for ready failed before probe !
   Probing IDE interface ide3...
   ide3: Wait for ready failed before probe !
   Probing IDE interface ide4...
   ide4: Wait for ready failed before probe !
   Probing IDE interface ide5...
   ide5: Wait for ready failed before probe !
   hda: max request size: 128KiB
   hda: 39102336 sectors (20020 MB) w/2048KiB Cache, CHS=38792/16/63, UDMA(100)
   hda: cache flushes not supported
    hda: hda1
   hdb: max request size: 1024KiB
   hdb: Host Protected Area detected.
           current capacity is 20044080 sectors (10262 MB)
           native  capacity is 60058656 sectors (30750 MB)
   hdb: 20044080 sectors (10262 MB) w/2048KiB Cache, CHS=16383/255/63, UDMA(100)
   hdb: cache flushes supported
    hdb: hdb1 hdb2
   hdc: ATAPI 48X CD-ROM drive, 120kB Cache, DMA
                    ...
   EXT3 FS on hdb1, internal journal
   EXT3-fs: mounted filesystem with ordered data mode.
   SELinux: initialized (dev hdb1, type ext3), uses xattr
   SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
   Adding 1015800k swap on /dev/VolGroup00/LogVol01.  Priority:-1 extents:1
   SELinux: initialized (dev binfmt_misc, type binfmt_misc), uses genfs_contexts


FYI:
  dual boot system:
     hda:   Windows
     hdb:   GRUB Boot Loader / FC3


Comment 7 Rahul Sundaram 2005-06-24 12:00:40 UTC
This does look like faulty hardware. Following is a list of things you could
check for

http://fedoraproject.org/wiki/HardwareProblems


Note You need to log in before you can comment on or make changes to this bug.